import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
import navipy.processing as processing
from navipy.sensors import Senses
import pkg_resources

# 1) Connect to the database
mydb_filename = pkg_resources.resource_filename(
    'navipy', 'resources/database.db')
mydb = DataBaseLoad(mydb_filename)
mysenses = Senses(renderer=mydb)
# 2) Define the position-orinetation at which
# we want the image
posorient = mydb.posorients.loc[12, :]
mysenses.update(posorient)
my_apcv = processing.pcode.apcv(mysenses.vision.scene,
                                mysenses.vision.viewing_directions)

my_apcv_sph = processing.tools.cartesian_to_spherical(x=my_apcv[..., 0],
                                                      y=my_apcv[..., 1],
                                                      z=my_apcv[..., 2])
elevation = mydb.viewing_directions[...,
                                    processing.constants.__spherical_indeces__[
                                        'elevation']]
azimuth = mydb.viewing_directions[...,
                                  processing.constants.__spherical_indeces__[
                                      'azimuth']]


f, axarr = plt.subplots(1, 2, figsize=(15, 4))
f.show()
